epp_DomainCreateReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.domain.epp_DomainCreateReq class

### org.openrtk.idl.epp02.domain

# Class epp_DomainCreateReq

- `java.lang.Object`
- - `org.openrtk.idl.epp02.domain.epp_DomainCreateReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainCreateReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/domain/epp_DomainCreateReq.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_domain.idl Thursday, July 26, 2001 6:26:07 PM EDT

  ## Field Summary
  `epp_AuthInfo` | `m_auth_info`
  `epp_Command` | `m_cmd`
  `epp_DomainContact[]` | `m_contacts`
  `String` | `m_name`
  `String[]` | `m_name_servers`
  `epp_DomainPeriod` | `m_period`
  `String` | `m_registrant`

  ## Constructor Summary
  `epp_DomainCreateReq()`
  `epp_DomainCreateReq(epp_Command _m_cmd, String _m_name, epp_DomainPeriod _m_period, String[] _m_name_servers, String _m_registrant, epp_DomainContact[] _m_contacts, epp_AuthInfo _m_auth_info)`

  ## Method Summary
  `epp_AuthInfo` | `getAuthInfo()`
  `epp_Command` | `getCmd()`
  `epp_DomainContact[]` | `getContacts()`
  `String` | `getName()`
  `String[]` | `getNameServers()`
  `epp_DomainPeriod` | `getPeriod()`
  `String` | `getRegistrant()`
  `void` | `setAuthInfo(epp_AuthInfo value)`
  `void` | `setCmd(epp_Command value)`
  `void` | `setContacts(epp_DomainContact[] value)`
  `void` | `setName(String value)`
  `void` | `setNameServers(String[] value)`
  `void` | `setPeriod(epp_DomainPeriod value)`
  `void` | `setRegistrant(String value)`
  `String` | `toString()`

## Field Details

### m_auth_info

    public epp_AuthInfo m_auth_info

### m_cmd

    public epp_Command m_cmd

### m_contacts

    public epp_DomainContact[] m_contacts

### m_name

    public String m_name

### m_name_servers

    public String[] m_name_servers

### m_period

    public epp_DomainPeriod m_period

### m_registrant

    public String m_registrant

## Constructor Details

### epp_DomainCreateReq

    public epp_DomainCreateReq()

### epp_DomainCreateReq

    public epp_DomainCreateReq(epp_Command _m_cmd,
                               String _m_name,
                               epp_DomainPeriod _m_period,
                               String[] _m_name_servers,
                               String _m_registrant,
                               epp_DomainContact[] _m_contacts,
                               epp_AuthInfo _m_auth_info)

## Method Details

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

### getCmd

    public epp_Command getCmd()

### getContacts

    public epp_DomainContact[] getContacts()

### getName

    public String getName()

### getNameServers

    public String[] getNameServers()

### getPeriod

    public epp_DomainPeriod getPeriod()

### getRegistrant

    public String getRegistrant()

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

### setCmd

    public void setCmd(epp_Command value)

### setContacts

    public void setContacts(epp_DomainContact[] value)

### setName

    public void setName(String value)

### setNameServers

    public void setNameServers(String[] value)

### setPeriod

    public void setPeriod(epp_DomainPeriod value)

### setRegistrant

    public void setRegistrant(String value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS